
package.path = package.path .. ";luajson/?.lua"
local JSON = require"json"

local path_in  = "../tables/euphemism.json"
local f1 = io.open(path_in, "r")
local strjson = f1:read("*a")
f1:close()
local tabData = JSON.decode(strjson)

local results = {}
for idx, row in pairs(tabData.rows) do 
  if row.range.Noun[1] then 
    local min = row.range.Noun[1]
    local max = row.range.Noun[2]
    local field = tostring(min).."-"..tostring(max)
    --results[field] = "<b>"..row.name.."</b>:"..row.description
    results[field] = row.Noun.description
    print(field, row.name)
  end
end
local entries = JSON.encode(results)
print()
print()
print(entries)